## kodi 19.0~beta2+dfsg1

=== debian/changelog ===
kodi (2:19.0~beta2+dfsg1-2) unstable; urgency=medium

  [ Vasyl Gello ]
  * Upload to unstable (Closes: #926922)
  * d/watch: Simplify dversionmangle
  * Update Vcs-Git/Vcs-Browser for the move to 'kodi-media-center' subgroup
  * Restore libfreetype6-dev alternative build-dep for buster.

  [ Tobias Frost ]
  * Add CVE-ids to past changelog entries when they have been fixed,
    as per security team policy.

 -- Vasyl Gello <vasek.gello@gmail.com>  Tue, 22 Dec 2020 10:01:37 +0000

kodi (2:19.0~beta2+dfsg1-1) experimental; urgency=medium

  * New upstream version 19.0~beta2+dfsg1
    + Fix kodi-ps3remote crash. (Closes: #962929)
  * Build a new kodi-eventclients-zeroconf package with the zeroconf scripts
  * Add breaks and replaces to kodi-eventclients-ps3
  * Backport a patch from Kodi 20 to replace CDateTime with cdate-std-chrono.
    Fixes test failures on multiple architectures.
    + Add libdate-tz as component tarball
  * Update d/copyright
  * Use the system-wide tzdata.
  * Drop clang-format from build-deps, not actually needed during the build
  * Mark kodi-addons-dev as indep
  * Fix arch-indepedent-only build (Closes: #976303)
  * Bump Standards-Version to 4.5.1 (no changes required)
  * Fix lintian warnings

 -- Vasyl Gello <vasek.gello@gmail.com>  Sat, 19 Dec 2020 04:55:34 +0000

kodi (2:19.0~alpha3+dfsg1-1) experimental; urgency=medium

  [ Vasyl Gello ]
  * New upstream version 19.0~alpha3+dfsg1
    + This version fully builds with Python 3. (Closes: 936805)
  * Refresh patches
  * Revert "temporary disable tests parallelism", in 19.0 tests run fine
  * Bump the required ffmepg version
  * Don't use clang-format on x32
  * Drop the build-dep on lib-p8-platform
  * Update the watchfile
  * Don't run dwz during the build as it fails on us
  * Add several Multi-Arch fields, from the M-A hinter
  * Fix several lintian warnings
  * Add default webinterface as debian include (this is temporary until the
    packaging of the new interface is completed)
  * Retrieve embedded libdvdnav and libdvdread from upstream
  * debian/header-check.c: Add new and delete removed headers
  * Refresh copyright information
  * Provide 'dh-sequence-kodiaddon' virtual package
  * Drop kodi-x11, kodi-wayland and kodi-gbm packages, now the same binary
    can handle all window systems

  [ Adrian Bunk ]
  * Rename SSE patch file (Closes: #961856)

 -- Vasyl Gello <vasek.gello@gmail.com>  Tue, 17 Nov 2020 13:04:40 +0100

=== debian/control ===
Source: kodi
Priority: optional
Section: video
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders: Vasyl Gello <vasek.gello@gmail.com>
Build-Depends: autoconf,
               automake,
               autopoint,
               cmake,
               curl,
               debhelper-compat (= 13),
               default-jre,
               default-libmysqlclient-dev,
               dh-python,
               doxygen,
               fontforge-nox,
               fonts-dejavu-core,
               fonts-droid-fallback,
               gawk,
               gettext,
               gperf,
               groovy,
               libasound2-dev | libasound-dev,
               libass-dev,
               libavahi-client-dev,
               libavahi-common-dev,
               libavcodec-dev (>= 7:4.2.2),
               libavfilter-dev (>= 7:4.2.2),
               libavformat-dev (>= 7:4.2.2),
               libavutil-dev (>= 7:4.2.2),
               libbluetooth-dev,
               libbluray-dev (>= 1:0.7.0),
               libcap-dev,
               libcdio-dev,
               libcec-dev (>= 4~),
               libcommons-lang-java,
               libcrossguid-dev,
               libcurl4-gnutls-dev | libcurl-dev,
               libcwiid-dev [linux-any],
               libdav1d-dev (>= 0.7.0),
               libdbus-1-dev,
               libdrm-dev,
#               libdvdnav-dev, use patched embedded version
#               libdvdread-dev, use patched embedded version
               libegl1-mesa-dev,
               libenca-dev,
               libflatbuffers-dev,
               libfmt-dev (>= 6.1.2),
               libfontconfig-dev,
               libfreetype-dev | libfreetype6-dev,
               libfribidi-dev,
               libfstrcmp-dev,
               libgbm-dev,
               libgcrypt-dev,
               libgif-dev,
               libgl1-mesa-dev | libgl-dev,
               libglew-dev,
               libglu1-mesa-dev | libglu-dev,
               libgnutls28-dev,
               libgpg-error-dev,
               libgtest-dev,
               libinput-dev,
               libiso9660-dev,
               libiso9660++-dev,
               libjpeg-dev,
               liblcms2-dev,
               liblirc-dev | liblircclient-dev,
               libltdl-dev,
               liblzo2-dev,
               libmicrohttpd-dev,
               libnfs-dev,
               libomxil-bellagio-dev [armel],
               libpcre3-dev,
               libplist-dev,
               libpng-dev,
               libpostproc-dev (>= 7:4.2.2),
               libpulse-dev,
               librsvg2-bin,
               libshairplay-dev (>= 0.9.0~),
               libsmbclient-dev,
               libsndio-dev,
               libspdlog-dev (>= 1:1.5.0),
               libsqlite3-dev,
               libswresample-dev (>= 7:4.2.2),
               libswscale-dev (>= 7:4.2.2),
               libtag1-dev (>= 1.8),
               libtinyxml-dev,
               libtool,
               libudev-dev,
               libudfread-dev (>= 1.0.0),
               libva-dev,
               libvdpau-dev,
               libxkbcommon-dev,
               libxrandr-dev,
               libxslt1-dev,
               libxt-dev,
               nasm [i386],
               python3-dev,
               rapidjson-dev,
               swig,
               unzip,
               uuid-dev,
               valgrind [amd64 i386],
               wayland-protocols,
               waylandpp-dev,
               zip,
               zlib1g-dev
Standards-Version: 4.5.1
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi
Vcs-Git: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi.git
Homepage: https://kodi.tv/

Package: kodi
Architecture: any
Depends: kodi-bin (>= ${source:Version}),
         kodi-bin (<< ${source:Version}.1~),
         kodi-data (>= ${source:Version}),
         ${misc:Depends}
Recommends: kodi-repository-kodi | kodi-repository,
            kodi-visualization-spectrum
Breaks: xbmc (<< 2:13.2+dfsg1-5~), ${kodi:APIBREAKS}
Provides: ${kodi:APIPROVIDES}
Replaces: xbmc (<< 2:13.2+dfsg1-5~)
Description: Open Source Home Theatre (executable binaries)
 Kodi, formerly known as XBMC is an award winning free and
 open source software media-player and entertainment hub for all your digital
 media. Kodi is available for Linux, Mac OS X (Leopard, Tiger and Apple TV)
 and Microsoft Windows, as well as the original Xbox game console. Created in
 2003 by a group of like minded programmers, Kodi is a non-profit project run
 and developed by volunteers located around the world. More than 50 software
 developers have contributed to Kodi, and 100-plus translators have worked to
 expand its reach, making it available in more than 30 languages.
 .
 While Kodi functions very well as a standard media player application for
 your computer, it has been designed to be the perfect companion for your
 HTPC. Supporting an almost endless range of remote controls, and combined
 with its beautiful interface and powerful skinning engine, Kodi feels very
 natural to use from the couch and is the ideal solution for your home
 theater. Once installed, your computer will become a fully functional
 multimedia jukebox.
 .
 This package contains the kodi binaries.

Package: kodi-data
Architecture: all
Multi-Arch: foreign
Depends: mesa-utils,
         x11-utils,
         libjs-jquery,
         libjs-iscroll,
         python3-pil,
         python3-pycryptodome,
         ${python3:Depends},
         ${misc:Depends}
Recommends: fonts-noto-hinted,
            fonts-noto-mono,
            fonts-roboto-unhinted
Breaks: xbmc (<< 2:13.2+dfsg1-5~)
Replaces: xbmc (<< 2:13.2+dfsg1-5~)
Description: Open Source Home Theatre (arch-independent data package)
 Kodi, formerly known as XBMC is an award winning free and
 open source software media-player and entertainment hub for all your digital
 media. Kodi is available for Linux, Mac OS X (Leopard, Tiger and Apple TV)
 and Microsoft Windows, as well as the original Xbox game console. Created in
 2003 by a group of like minded programmers, Kodi is a non-profit project run
 and developed by volunteers located around the world. More than 50 software
 developers have contributed to Kodi, and 100-plus translators have worked to
 expand its reach, making it available in more than 30 languages.
 .
 While Kodi functions very well as a standard media player application for
 your computer, it has been designed to be the perfect companion for your
 HTPC. Supporting an almost endless range of remote controls, and combined
 with its beautiful interface and powerful skinning engine, Kodi feels very
 natural to use from the couch and is the ideal solution for your home
 theater. Once installed, your computer will become a fully functional
 multimedia jukebox.
 .
 This package contains all the architecture independent data needed to have a
 working Kodi.

Package: kodi-bin
Architecture: any
Depends: ${shlibs:Depends},
         ${dlopenlibs:Depends},
         ${misc:Depends},
Recommends: ${shlibs:Recommends},
            udisks2
Pre-Depends: ${misc:Pre-Depends}
Breaks: xbmc-bin (<< 2:13.2+dfsg1-5~)
Conflicts: libgl1-mesa-swx11
Replaces: xbmc-bin (<< 2:13.2+dfsg1-5~)
Description: Open Source Home Theatre (architecture-dependent files)
 Kodi, formerly known as XBMC is an award winning free and
 open source software media-player and entertainment hub for all your digital
 media. Kodi is available for Linux, Mac OS X (Leopard, Tiger and Apple TV)
 and Microsoft Windows, as well as the original Xbox game console. Created in
 2003 by a group of like minded programmers, Kodi is a non-profit project run
 and developed by volunteers located around the world. More than 50 software
 developers have contributed to Kodi, and 100-plus translators have worked to
 expand its reach, making it available in more than 30 languages.
 .
 While Kodi functions very well as a standard media player application for
 your computer, it has been designed to be the perfect companion for your
 HTPC. Supporting an almost endless range of remote controls, and combined
 with its beautiful interface and powerful skinning engine, Kodi feels very
 natural to use from the couch and is the ideal solution for your home
 theater. Once installed, your computer will become a fully functional
 multimedia jukebox.
 .
 This package contains the binaries needed to have a working Kodi.

Package: kodi-eventclients-common
Architecture: all
Multi-Arch: foreign
Depends: python3-bluez,
         python3-pyudev,
         python3-usb,
         ${python3:Depends},
         ${misc:Depends}
Description: Open Source Home Theatre (Event Client Common package)
 Kodi, formerly known as XBMC is an award winning free and
 open source software media-player and entertainment hub for all your digital
 media. Kodi is available for Linux, Mac OS X (Leopard, Tiger and Apple TV)
 and Microsoft Windows, as well as the original Xbox game console. Created in
 2003 by a group of like minded programmers, Kodi is a non-profit project run
 and developed by volunteers located around the world. More than 50 software
 developers have contributed to Kodi, and 100-plus translators have worked to
 expand its reach, making it available in more than 30 languages.
 .
 While Kodi functions very well as a standard media player application for
 your computer, it has been designed to be the perfect companion for your
 HTPC. Supporting an almost endless range of remote controls, and combined
 with its beautiful interface and powerful skinning engine, Kodi feels very
 natural to use from the couch and is the ideal solution for your home
 theater. Once installed, your computer will become a fully functional
 multimedia jukebox.
 .
 This package is the common package for Kodi Event Client.

Package: kodi-eventclients-dev
Architecture: all
Multi-Arch: foreign
Section: libdevel
Depends: kodi-eventclients-common (= ${binary:Version}),
         ${misc:Depends}
Description: Open Source Home Theatre (Event Client Dev package)
 Kodi, formerly known as XBMC is an award winning free and
 open source software media-player and entertainment hub for all your digital
 media. Kodi is available for Linux, Mac OS X (Leopard, Tiger and Apple TV)
 and Microsoft Windows, as well as the original Xbox game console. Created in
 2003 by a group of like minded programmers, Kodi is a non-profit project run
 and developed by volunteers located around the world. More than 50 software
 developers have contributed to Kodi, and 100-plus translators have worked to
 expand its reach, making it available in more than 30 languages.
 .
 While Kodi functions very well as a standard media player application for
 your computer, it has been designed to be the perfect companion for your
 HTPC. Supporting an almost endless range of remote controls, and combined
 with its beautiful interface and powerful skinning engine, Kodi feels very
 natural to use from the couch and is the ideal solution for your home
 theater. Once installed, your computer will become a fully functional
 multimedia jukebox.
 .
 This is the Development package for Kodi Event Client.

Package: kodi-eventclients-wiiremote
Architecture: any
Depends: kodi-eventclients-common (= ${source:Version}),
         ${shlibs:Depends},
         ${misc:Depends}
Description: Open Source Home Theatre (Event Client WII Remote support package)
 Kodi, formerly known as XBMC is an award winning free and
 open source software media-player and entertainment hub for all your digital
 media. Kodi is available for Linux, Mac OS X (Leopard, Tiger and Apple TV)
 and Microsoft Windows, as well as the original Xbox game console. Created in
 2003 by a group of like minded programmers, Kodi is a non-profit project run
 and developed by volunteers located around the world. More than 50 software
 developers have contributed to Kodi, and 100-plus translators have worked to

=== debian/rules ===
#!/usr/bin/make -f

# Avoid custom build rule silencing
export V=1

# Include /usr/share/dpkg/pkg-info.mk to get DEB_{SOURCE,VERSION}
include /usr/share/dpkg/pkg-info.mk

# Include /usr/share/dpkg/architecture.mk to get DEB_HOST_{MULTI,}ARCH
include /usr/share/dpkg/architecture.mk

# bindnow breaks wrappers used in with libdvdread
export DEB_BUILD_MAINT_OPTIONS = hardening=+all,-bindnow

DATE_COMPONENT = libdate-tz-embedded
DATE_URL = tools/depends/target/date/libdate-tz-$$(grep VERSION tools/depends/target/date/DATE-VERSION | sed 's/^[^=]*=//').tar.xz
DVDNAV_COMPONENT = libdvdnav-embedded
DVDNAV_URL = tools/depends/target/libdvdnav/libdvdnav-$$(grep VERSION tools/depends/target/libdvdnav/DVDNAV-VERSION | sed 's/^[^=]*=//').tar.xz
DVDREAD_COMPONENT = libdvdread-embedded
DVDREAD_URL = tools/depends/target/libdvdread/libdvdread-$$(grep VERSION tools/depends/target/libdvdread/DVDREAD-VERSION | sed 's/^[^=]*=//').tar.xz

export DEB_CFLAGS_MAINT_STRIP  = -O2
export DEB_CFLAGS_MAINT_APPEND  = -O3
export DEB_CXXFLAGS_MAINT_STRIP  = -O2
export DEB_CXXFLAGS_MAINT_APPEND  = -O3

BUILD_WAYLAND := yes
BUILD_GBM := yes


NUMCPU =
# Support parallel=<n> in DEB_BUILD_OPTIONS (see #209008)
ifneq (,$(filter parallel=%,$(subst $(COMMA), ,$(DEB_BUILD_OPTIONS))))
  NUMCPU := $(subst parallel=,,$(filter parallel=%,$(subst $(COMMA), ,$(DEB_BUILD_OPTIONS))))
endif

# Various environment variables to set
export DEB_LDFLAGS_MAINT_APPEND = -latomic -lpthread
# for embedded libdvd*:
export DEB_CPPFLAGS_MAINT_APPEND = -D_XBMC

KODI_PLATFORMS := x11

ifeq ($(BUILD_WAYLAND),yes)
	KODI_PLATFORMS := $(KODI_PLATFORMS) wayland
endif
ifeq ($(BUILD_GBM),yes)
	KODI_PLATFORMS := $(KODI_PLATFORMS) gbm
endif

ifneq (,$(filter armel armhf,$(DEB_HOST_ARCH)))
EXTRA_FLAGS := $(EXTRA_FLAGS) -DWITH_ARCH=arm
else ifneq (,$(filter ppc64el,$(DEB_HOST_ARCH)))
EXTRA_FLAGS := $(EXTRA_FLAGS) -DWITH_ARCH=ppc64
else ifneq (,$(filter s390x,$(DEB_HOST_ARCH)))
EXTRA_FLAGS := $(EXTRA_FLAGS) -DWITH_ARCH=s390x
else ifneq (,$(filter mipsel,$(DEB_HOST_ARCH)))
EXTRA_FLAGS := $(EXTRA_FLAGS) -DWITH_ARCH=mips
else ifneq (,$(filter mips64el,$(DEB_HOST_ARCH)))
EXTRA_FLAGS := $(EXTRA_FLAGS) -DWITH_ARCH=mips64
endif

KODI_OPTS=\
-DVERBOSE=1 \
-DUSE_LTO=$(NUMCPU) \
-DCMAKE_BUILD_TYPE=RelWithDebInfo \
-DENABLE_AIRTUNES=ON \
-DENABLE_ALSA=ON \
-DENABLE_AVAHI=ON \
-DENABLE_BLURAY=ON \
-DENABLE_CEC=ON \
-DENABLE_DBUS=ON \
-DENABLE_DVDCSS=OFF \
-DENABLE_EVENTCLIENTS=ON \
-DENABLE_INTERNAL_CROSSGUID=OFF \
-DENABLE_INTERNAL_FFMPEG=OFF \
-DENABLE_MICROHTTPD=ON \
-DENABLE_MYSQLCLIENT=ON \
-DENABLE_NFS=ON \
-DENABLE_OPTICAL=ON \
-DENABLE_PULSEAUDIO=ON \
-DENABLE_SMBCLIENT=ON \
-DENABLE_UDEV=ON \
-DENABLE_UPNP=ON \
-DENABLE_VAAPI=ON \
-DENABLE_VDPAU=ON \
-DENABLE_XSLT=ON \
-DDATE_URL=${DATE_URL} \
-DLIBDVDREAD_URL=$(DVDREAD_URL) \
-DLIBDVDNAV_URL=$(DVDNAV_URL) \
-DENABLE_LIRCCLIENT=ON \
-DNEON=False \
-DCORE_PLATFORM_NAME="$(KODI_PLATFORMS)" \
-DAPP_RENDER_SYSTEM=gl \
$(EXTRA_FLAGS)

%:
	dh $@ --buildsystem cmake --with python3

override_dh_clean:
	dh_clean \
		addons/skin.estuary/media/from-debian-logo.png \
		addons/webinterface.default/ \
		debian/dh-addon/*.1 \
		kodi_build_*/ \
		lib/gtest/ \
		media/Fonts/arial.ttf

# fall back to old location of DejaVuSans.ttf if needed
ifneq ("$(wildcard /usr/share/fonts/truetype/dejavu/DejaVuSans.ttf)","")
DEJAVUSANS=/usr/share/fonts/truetype/dejavu/DejaVuSans.ttf
else
DEJAVUSANS=/usr/share/fonts/truetype/ttf-dejavu/DejaVuSans.ttf
endif

media/Fonts/arial.ttf: debian/mergefonts.ff
	# work around #948876 until fontforge is fixed by using cached result
	fontforge -script $< \
		/usr/share/fonts/truetype/droid/DroidSansFallbackFull.ttf \
		$(DEJAVUSANS) \
		$@ || cp debian/extra/arial.ttf $@

lib/gtest/lib/.libs/libgtest.a:
	cp -r /usr/src/gtest/ $(CURDIR)/lib/ && mkdir -p $(CURDIR)/lib/gtest/lib/.libs

addons/skin.estuary/media/from-debian-logo.png: debian/from-debian-logo.svg
	rsvg-convert -w 250 -h 82 -o $@ $<

override_dh_auto_configure: addons/skin.estuary/media/from-debian-logo.png lib/gtest/lib/.libs/libgtest.a media/Fonts/arial.ttf
	cp -r $(CURDIR)/debian/webinterface-default $(CURDIR)/addons/webinterface.default
	sed -i 's/DEB_VERSION/"'$(DEB_VERSION)'"/' xbmc/Application.cpp xbmc/utils/SystemInfo.cpp
	tar -cf $(DATE_URL) $(DATE_COMPONENT)
	tar -cf $(DVDNAV_URL) $(DVDNAV_COMPONENT)
	tar -cf $(DVDREAD_URL) $(DVDREAD_COMPONENT)
	dh_auto_configure -- $(KODI_OPTS)

override_dh_auto_build:
	dh_auto_build
	for file in $$(ls debian/dh-addon/dh_*); do \
		pod2man --section=1 --utf8 $$file $$file.1; \
	done

override_dh_auto_test-arch:
	dh_auto_build -- kodi-test
	dh_auto_test -a

# No tests for indep build.
override_dh_auto_test-indep:

override_dh_install-indep:
	dh_install -i -XLICENCE -XLICENSE \
		-XLicence.txt -XLicense.txt -XLICENSE.txt \
		-XNOTICE.txt \
		-Xjquery-1.8.2.min.js -Xiscroll-min.js
	# Remove kodi-repository-kodi part from kodi-data
	rm -rf debian/kodi-data/usr/share/kodi/addons/repository.xbmc.org
	# Remove documentation-outside-usr-share-doc but not from addons
	rm -f debian/kodi-data/usr/share/kodi/privacy-policy.txt
	# Drop executable flag from all Python scripts except:
	# ps3_remote.py
	# zeroconf.py
	# sixpair.py
	# sixwatch.py
	find debian/kodi-eventclients-*/ \
		! \( -name "ps3_remote.py" -o -name "zeroconf.py" -o -name "sixpair.py" -o -name "sixwatch.py" \) \
		-name "*.py" -exec chmod 0644 '{}' \;
	# Remove ps3 and zeroconf from kodi-eventclients-common
	rm -rf debian/kodi-eventclients-common/usr/lib/python*/*/kodi/ps3
	rm -f debian/kodi-eventclients-common/usr/lib/python*/*/kodi/ps3_remote.py
	rm -f debian/kodi-eventclients-common/usr/lib/python*/*/kodi/zeroconf.py
	# Install kodi-repository-kodi
	dh_install -pkodi-repository-kodi \
		addons/repository.xbmc.org/* usr/share/kodi/addons/repository.xbmc.org
	# ship xbmcclient.h only in kodi-eventclients-dev
	rm -f debian/kodi-addons-dev/usr/include/kodi/xbmcclient.h
	# check if all needed headers are included
	$(CXX) -E -c debian/headers-check.c -DBUILD_KODI_ADDON \
	$(shell dpkg-buildflags --get CPPFLAGS) \
	$(shell dpkg-buildflags --get CXXFLAGS) \
	-Idebian/kodi-addons-dev/usr/include \
	-o /dev/null

override_dh_install-arch:
	dh_install -a -XLICENCE -XLICENSE -XLicence.txt -XLicense.txt -XLICENSE.txt -XNOTICE.txt

# dwz fails to create multifile dwarfs with '-gstrip-dwarf'
override_dh_dwz:

override_dh_shlibdeps:
	dh_shlibdeps -a \
		-l$(CURDIR)/debian/kodi-bin/usr/lib/*/kodi/system/players/dvdplayer

override_dh_gencontrol:
	debian/dh-addon/dh_kodiaddon_depends
	dh_gencontrol

=== debian/watch ===
version=4

# Alpha bare git branch
#opts="mode=git, \
#      pgpmode=none, \
#      pretty=19.0~git%cd.%h, \
#      repack, \
#      repacksuffix=+dfsg1, \
#      compression=xz, \
#      uversionmangle=s/\([\.0-9a-zA-Z]\)-.*$/\1/;s/rc/~rc/;s/a/~alpha/;s/b/~beta/, \
#      dversionmangle=auto" \
#https://github.com/xbmc/xbmc \
#HEAD debian

# Tagged releases
#
opts="repack, \
      compression=xz, \
      repacksuffix=+dfsg1,\
      uversionmangle=s/\([\.0-9a-zA-Z]\)-.*$/\1/;s/rc/~rc/;s/a/~alpha/;s/b/~beta/, \
      dversionmangle=auto" \
https://github.com/xbmc/xbmc/tags .*archive/?(\d\S*)-[A-Z].*\.tar\.gz

# date

opts="component=libdate-tz-embedded, \
      repack, \
      compression=xz, \
      dversionmangle=auto" \
https://github.com/HowardHinnant/date/tags .*archive/v?(\d\S*)\.tar\.gz \
ignore

# libdvdread

opts="component=libdvdread-embedded, \
      repack, \
      compression=xz, \
      pgpsigurlmangle=s/$/.asc/" \
https://download.videolan.org/pub/videolan/libdvdread/([\d][\d\.]+[a-z]?)/libdvdread-([\d][\d\.]+[a-z]?)\.tar\.(?:gz|bz2|xz) \
ignore

# libdvdnav

opts="component=libdvdnav-embedded, \
      repack, \
      compression=xz, \
      pgpsigurlmangle=s/$/.asc/" \
https://download.videolan.org/pub/videolan/libdvdnav/([\d][\d\.]+[a-z]?)/libdvdnav-([\d][\d\.]+[a-z]?)\.tar\.(?:gz|bz2|xz) \
ignore

## kodi 19.0~rc1+git20210119.8c761c4+dfsg1

=== xbmc/utils/CMakeLists.txt ===
set(SOURCES ActorProtocol.cpp
            AlarmClock.cpp
            AliasShortcutUtils.cpp
            Archive.cpp
            auto_buffer.cpp
            Base64.cpp
            BitstreamConverter.cpp
            BitstreamReader.cpp
            BitstreamStats.cpp
            BitstreamWriter.cpp
            BooleanLogic.cpp
            CharsetConverter.cpp
            CharsetDetection.cpp
            ColorUtils.cpp
            ContentUtils.cpp
            CPUInfo.cpp
            Crc32.cpp
            CryptThreading.cpp
            DatabaseUtils.cpp
            Digest.cpp
            EndianSwap.cpp
            EmbeddedArt.cpp
            FileExtensionProvider.cpp
            Fanart.cpp
            FileOperationJob.cpp
            FileUtils.cpp
            GroupUtils.cpp
            HTMLUtil.cpp
            HttpHeader.cpp
            HttpParser.cpp
            HttpRangeUtils.cpp
            HttpResponse.cpp
            InfoLoader.cpp
            JobManager.cpp
            JSONVariantParser.cpp
            JSONVariantWriter.cpp
            LabelFormatter.cpp
            LangCodeExpander.cpp
            LegacyPathTranslation.cpp
            Locale.cpp
            log.cpp
            Mime.cpp
            Observer.cpp
            POUtils.cpp
            RecentlyAddedJob.cpp
            RegExp.cpp
            rfft.cpp
            RingBuffer.cpp
            RssManager.cpp
            RssReader.cpp
            ProgressJob.cpp
            SaveFileStateJob.cpp
            ScraperParser.cpp
            ScraperUrl.cpp
            Screenshot.cpp
            SortUtils.cpp
            Speed.cpp
            StaticLoggerBase.cpp
            Stopwatch.cpp
            StreamDetails.cpp
            StreamUtils.cpp
            StringUtils.cpp
            StringValidation.cpp
            SystemInfo.cpp
            Temperature.cpp
            TextSearch.cpp
            TimeUtils.cpp
            URIUtils.cpp
            UrlOptions.cpp
            Utf8Utils.cpp
            Variant.cpp
            VC1BitstreamParser.cpp
            Vector.cpp
            XBMCTinyXML.cpp
            XMLUtils.cpp)

set(HEADERS ActorProtocol.h
            AlarmClock.h
            AliasShortcutUtils.h
            Archive.h
            auto_buffer.h
            Base64.h
            BitstreamConverter.h
            BitstreamReader.h
            BitstreamStats.h
            BitstreamWriter.h
            BooleanLogic.h
            CharsetConverter.h
            CharsetDetection.h
            CPUInfo.h
            Color.h
            ColorUtils.h
            ContentUtils.h
            Crc32.h
            CryptThreading.h
            DatabaseUtils.h
            Digest.h
            EndianSwap.h
            EventStream.h
            EventStreamDetail.h
            FileExtensionProvider.h
            Fanart.h
            FileOperationJob.h
            FileUtils.h
            Geometry.h
            GlobalsHandling.h
            GroupUtils.h
            HTMLUtil.h
            HttpHeader.h
            HttpParser.h
            HttpRangeUtils.h
            HttpResponse.h
            IArchivable.h
            IBufferObject.h
            ILocalizer.h
            InfoLoader.h
            IPlatformLog.h
            IRssObserver.h
            IScreenshotSurface.h
            ISerializable.h
            ISortable.h
            IXmlDeserializable.h
            Job.h
            JobManager.h
            JSONVariantParser.h
            JSONVariantWriter.h
            LabelFormatter.h
            LangCodeExpander.h
            LegacyPathTranslation.h
            Locale.h
            log.h
            logtypes.h
            MathUtils.h
            MemUtils.h
            Mime.h
            Observer.h
            params_check_macros.h
            POUtils.h
            ProgressJob.h
            RecentlyAddedJob.h
            RegExp.h
            rfft.h
            RingBuffer.h
            RssManager.h
            RssReader.h
            SaveFileStateJob.h
            ScopeGuard.h
            ScraperParser.h
            ScraperUrl.h
            Screenshot.h
            SortUtils.h
            Speed.h
            StaticLoggerBase.h
            Stopwatch.h
            StreamDetails.h
            StreamUtils.h
            StringUtils.h
            StringValidation.h
            SystemInfo.h
            Temperature.h
            TextSearch.h
            TimeUtils.h
            TransformMatrix.h
            URIUtils.h
            UrlOptions.h
            Utf8Utils.h
            Variant.h
            VC1BitstreamParser.h
            Vector.h
            XBMCTinyXML.h
            XMLUtils.h)

if(XSLT_FOUND)
  list(APPEND SOURCES XSLTUtils.cpp)
  list(APPEND HEADERS XSLTUtils.h)
endif()
if(EGL_FOUND)
  list(APPEND SOURCES EGLUtils.cpp
                      EGLFence.cpp)
  list(APPEND HEADERS EGLUtils.h
                      EGLFence.h)
endif()

# The large map trips the clang optimizer
if(CMAKE_CXX_COMPILER_ID STREQUAL Clang)
  set_source_files_properties(Mime.cpp PROPERTIES COMPILE_FLAGS -O0)
endif()

if(OPENGL_FOUND OR OPENGLES_FOUND)
  list(APPEND SOURCES GLUtils.cpp)
  list(APPEND HEADERS GLUtils.h)
endif()

if("gbm" IN_LIST CORE_PLATFORM_NAME_LC OR "wayland" IN_LIST CORE_PLATFORM_NAME_LC)
  list(APPEND SOURCES BufferObject.cpp
                      BufferObjectFactory.cpp)
  list(APPEND HEADERS BufferObject.h
                      BufferObjectFactory.h)

  if("gbm" IN_LIST CORE_PLATFORM_NAME_LC)
    list(APPEND SOURCES DumbBufferObject.cpp)
    list(APPEND SOURCES DumbBufferObject.h)
  endif()

  if(HAVE_LINUX_MEMFD AND HAVE_LINUX_UDMABUF)
    list(APPEND SOURCES UDMABufferObject.cpp)
    list(APPEND HEADERS UDMABufferObject.h)
  endif()

  if(HAVE_LINUX_DMA_HEAP)
    list(APPEND SOURCES DMAHeapBufferObject.cpp)
    list(APPEND HEADERS DMAHeapBufferObject.h)
  endif()

  if(GBM_HAS_BO_MAP AND "gbm" IN_LIST CORE_PLATFORM_NAME_LC)
    list(APPEND SOURCES GBMBufferObject.cpp)
    list(APPEND HEADERS GBMBufferObject.h)
  endif()

  if(EGL_FOUND)
    list(APPEND SOURCES EGLImage.cpp)
    list(APPEND HEADERS EGLImage.h)
  endif()
endif()

core_add_library(utils)

if(NOT CORE_SYSTEM_NAME STREQUAL windows AND NOT CORE_SYSTEM_NAME STREQUAL windowsstore)
  if(HAVE_SSE2)
    target_compile_options(${CORE_LIBRARY} PRIVATE -msse2)
  endif()
endif()

=== debian/changelog ===
kodi (2:19.0~rc1+git20210119.8c761c4+dfsg1-1~mx19+1) mx; urgency=medium

  * Rebuild for MX Linux.
  * Require libgtest-dev (>= 1.8.2) as BD to avoid FTBFS.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 04 Feb 2021 14:36:25 -0800

kodi (2:19.0~rc1+git20210119.8c761c4+dfsg1-1) unstable; urgency=medium

  [ Vasyl Gello ]
  * New upstream version 19.0~rc1+dfsg1 and 19.0~rc1+git20210119.8c761c4+dfsg1.
    + Fix possible crash on shutdown. (Closes: #979367)
    + New upstream snapshot fixes non-DFSG free JPEG image
      which led to FTP master rejection
  * d/watch: mangle capital letter abbrevs too
  * Delete patches merged upstream
  * Refresh cdatateime-std-chrono patch
  * copyright: Reflect skin.estuary picture replacement

  [ Mattia Rizzolo ]
  * Temporary revert the kodi-addons-dev-common split to avoid NEW fo
    this upload (the previous version was rejected from NEW).
  * Upload to unstable.

 -- Vasyl Gello <vasek.gello@gmail.com>  Tue, 19 Jan 2021 20:02:25 +0000

kodi (2:19.0~beta2+dfsg1-6) experimental; urgency=medium

  [ Mattia Rizzolo ]
  * d/control: define dh-sequence-kodiaddon as a versioned Provides

  [ Vasyl Gello ]
  * Check the existence of kodi include dir's full path
    in dh_kodiaddon_depends.
  * Refresh cdatetime-std-chrono patch. (Closes: #980038)
  * Introduce a kodi-addons-dev-common package to hold all the arch-indep
    files.

 -- Vasyl Gello <vasek.gello@gmail.com>  Tue, 12 Jan 2021 02:57:10 +0000

kodi (2:19.0~beta2+dfsg1-5) unstable; urgency=medium

  * Team upload.
  * Fix arch:all build after turning kodi-addons-dev arch:any.

 -- Mattia Rizzolo <mattia@debian.org>  Sun, 10 Jan 2021 20:46:04 +0100

kodi (2:19.0~beta2+dfsg1-4) unstable; urgency=medium

  * Team upload.

  [ Vasyl Gello ]
  * d/watch: Declare bare git snapshot naming scheme since v20.

  [ Mattia Rizzolo ]
  * Mark kodi-addons-dev as Arch:any.
    This is to prevent addons from building in archite where Kodi is not
    available.

 -- Mattia Rizzolo <mattia@debian.org>  Sun, 10 Jan 2021 15:57:30 +0100

kodi (2:19.0~beta2+dfsg1-3) unstable; urgency=medium

  * d/upstream/metadata: Add Bug-Submit URL
  * Drop libenca-dev build dependency
  * dh_kodiaddon_depends: Provide a sliding window
    for ABI bumps to avoid unnecessary addon rebuild

 -- Vasyl Gello <vasek.gello@gmail.com>  Sun, 03 Jan 2021 08:45:17 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: kodi
 Priority: optional
 Section: video
-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Vasyl Gello <vasek.gello@gmail.com>
 Build-Depends: autoconf,
                automake,
@@ -40,10 +41,7 @@
                libdav1d-dev (>= 0.7.0),
                libdbus-1-dev,
                libdrm-dev,
-#               libdvdnav-dev, use patched embedded version
-#               libdvdread-dev, use patched embedded version
                libegl1-mesa-dev,
-               libenca-dev,
                libflatbuffers-dev,
                libfmt-dev (>= 6.1.2),
                libfontconfig-dev,
@@ -58,10 +56,10 @@
                libglu1-mesa-dev | libglu-dev,
                libgnutls28-dev,
                libgpg-error-dev,
-               libgtest-dev,
+               libgtest-dev (>= 1.8.2),
                libinput-dev,
+               libiso9660++-dev,
                libiso9660-dev,
-               libiso9660++-dev,
                libjpeg-dev,
                liblcms2-dev,
                liblirc-dev | liblircclient-dev,
@@ -113,12 +111,12 @@
 
 Package: kodi
 Architecture: any
-Depends: kodi-bin (>= ${source:Version}),
-         kodi-bin (<< ${source:Version}.1~),
+Depends: kodi-bin (<< ${source:Version}.1~),
+         kodi-bin (>= ${source:Version}),
          kodi-data (>= ${source:Version}),
-         ${misc:Depends}
-Recommends: kodi-repository-kodi | kodi-repository,
-            kodi-visualization-spectrum
+         ${misc:Depends},
+         kodi-repository-kodi | kodi-repository
+Recommends:  kodi-visualization-spectrum
 Breaks: xbmc (<< 2:13.2+dfsg1-5~), ${kodi:APIBREAKS}
 Provides: ${kodi:APIPROVIDES}
 Replaces: xbmc (<< 2:13.2+dfsg1-5~)
@@ -145,17 +143,15 @@
 Package: kodi-data
 Architecture: all
 Multi-Arch: foreign
-Depends: mesa-utils,
-         x11-utils,
+Depends: libjs-iscroll,
          libjs-jquery,
-         libjs-iscroll,
+         mesa-utils,
          python3-pil,
          python3-pycryptodome,
+         x11-utils,
+         ${misc:Depends},
          ${python3:Depends},
-         ${misc:Depends}
-Recommends: fonts-noto-hinted,
-            fonts-noto-mono,
-            fonts-roboto-unhinted
+         fonts-noto-hinted, fonts-noto-mono, fonts-roboto-unhinted
 Breaks: xbmc (<< 2:13.2+dfsg1-5~)
 Replaces: xbmc (<< 2:13.2+dfsg1-5~)
 Description: Open Source Home Theatre (arch-independent data package)
@@ -181,11 +177,8 @@
 
 Package: kodi-bin
 Architecture: any
-Depends: ${shlibs:Depends},
-         ${dlopenlibs:Depends},
-         ${misc:Depends},
-Recommends: ${shlibs:Recommends},
-            udisks2
+Depends: ${dlopenlibs:Depends}, ${misc:Depends}, ${shlibs:Depends}
+Recommends: udisks2, ${shlibs:Recommends}
 Pre-Depends: ${misc:Pre-Depends}
 Breaks: xbmc-bin (<< 2:13.2+dfsg1-5~)
 Conflicts: libgl1-mesa-swx11
@@ -216,8 +209,8 @@
 Depends: python3-bluez,
          python3-pyudev,
          python3-usb,
-         ${python3:Depends},
-         ${misc:Depends}
+         ${misc:Depends},
+         ${python3:Depends}
 Description: Open Source Home Theatre (Event Client Common package)
  Kodi, formerly known as XBMC is an award winning free and
  open source software media-player and entertainment hub for all your digital
@@ -242,8 +235,7 @@
 Architecture: all
 Multi-Arch: foreign
 Section: libdevel
-Depends: kodi-eventclients-common (= ${binary:Version}),
-         ${misc:Depends}
+Depends: kodi-eventclients-common (= ${binary:Version}), ${misc:Depends}
 Description: Open Source Home Theatre (Event Client Dev package)
  Kodi, formerly known as XBMC is an award winning free and
  open source software media-player and entertainment hub for all your digital
@@ -267,8 +259,8 @@
 Package: kodi-eventclients-wiiremote
 Architecture: any
 Depends: kodi-eventclients-common (= ${source:Version}),
-         ${shlibs:Depends},
-         ${misc:Depends}
+         ${misc:Depends},
+         ${shlibs:Depends}
 Description: Open Source Home Theatre (Event Client WII Remote support package)
  Kodi, formerly known as XBMC is an award winning free and
  open source software media-player and entertainment hub for all your digital
@@ -277,3 +269,5 @@
  2003 by a group of like minded programmers, Kodi is a non-profit project run
  and developed by volunteers located around the world. More than 50 software
  developers have contributed to Kodi, and 100-plus translators have worked to
+ expand its reach, making it available in more than 30 languages.
+ .

=== debian/rules ===
--- 
+++ 
@@ -171,6 +171,9 @@
 	# Install kodi-repository-kodi
 	dh_install -pkodi-repository-kodi \
 		addons/repository.xbmc.org/* usr/share/kodi/addons/repository.xbmc.org
+
+override_dh_install-arch:
+	dh_install -a -XLICENCE -XLICENSE -XLicence.txt -XLicense.txt -XLICENSE.txt -XNOTICE.txt
 	# ship xbmcclient.h only in kodi-eventclients-dev
 	rm -f debian/kodi-addons-dev/usr/include/kodi/xbmcclient.h
 	# check if all needed headers are included
@@ -179,9 +182,6 @@
 	$(shell dpkg-buildflags --get CXXFLAGS) \
 	-Idebian/kodi-addons-dev/usr/include \
 	-o /dev/null
-
-override_dh_install-arch:
-	dh_install -a -XLICENCE -XLICENSE -XLicence.txt -XLicense.txt -XLICENSE.txt -XNOTICE.txt
 
 # dwz fails to create multifile dwarfs with '-gstrip-dwarf'
 override_dh_dwz:
@@ -193,3 +193,6 @@
 override_dh_gencontrol:
 	debian/dh-addon/dh_kodiaddon_depends
 	dh_gencontrol
+
+override_dh_strip:
+	dh_strip --no-automatic-dbgsym
